<template>
  <div>
    <div v-if="$fetchState.pending" class="fetch-pending">
    </div>
    <div v-if class="faq pt-54 pb-34" >
      <div v-if="faq && faq.length" class="container">
        <div class="row">
          <div class="col-12 mb-48 page-titles">
            <div class="d-flex align-items-center section-titles">
              <svg
                  width="27"
                  height="40"
                  viewBox="0 0 27 40"
                  fill="none"
                  xmlns="http://www.w3.org/2000/svg"
              >
                <path
                    fill-rule="evenodd"
                    clip-rule="evenodd"
                    d="M9.99984 30V35C9.99984 35.9205 10.746 36.6667 11.6665 36.6667H14.9998C15.9203 36.6667 16.6665 35.9205 16.6665 35V30H19.9998V35C19.9998 37.7614 17.7613 40 14.9998 40H11.6665C8.90508 40 6.6665 37.7614 6.6665 35V30H9.99984Z"
                    fill="white"
                />
                <path
                    fill-rule="evenodd"
                    clip-rule="evenodd"
                    d="M18.3333 22.1422L19.5818 21.1415C21.8747 19.3034 23.3333 16.4898 23.3333 13.3333C23.3333 7.81049 18.8562 3.33333 13.3333 3.33333C7.81049 3.33333 3.33333 7.81049 3.33333 13.3333C3.33333 16.4898 4.79194 19.3034 7.0849 21.1415L8.33333 22.1422V26.6667C8.33333 27.5871 9.07952 28.3333 10 28.3333H16.6667C17.5871 28.3333 18.3333 27.5871 18.3333 26.6667V22.1422ZM21.6667 23.7423V26.6667C21.6667 29.4281 19.4281 31.6667 16.6667 31.6667H10C7.23858 31.6667 5 29.4281 5 26.6667V23.7423C1.95179 21.2987 0 17.544 0 13.3333C0 5.96954 5.96954 0 13.3333 0C20.6971 0 26.6667 5.96954 26.6667 13.3333C26.6667 17.544 24.7149 21.2987 21.6667 23.7423Z"
                    fill="white"
                />
                <path
                    d="M11.1787 13.8215C10.5278 13.1707 9.47253 13.1707 8.82165 13.8215C8.17078 14.4724 8.17078 15.5277 8.82165 16.1786L11.6668 19.0237V28.3334H15.0002V19.0237L17.8453 16.1786C18.4962 15.5277 18.4962 14.4724 17.8453 13.8215C17.1945 13.1707 16.1392 13.1707 15.4883 13.8215L13.3335 15.9764L11.1787 13.8215Z"
                    fill="white"
                />
              </svg>
              <h2 class="ml-18">F.A.Q.</h2>
            </div>
            <h3 class="text-center">
              Your car shipping questions answered
            </h3>
            <p class="text-center">
              You can always contact one of our helpful auto transport experts standing by to help you craft the perfect solution for your personal or commercial auto transport needs. CALL NOW  toll free (865) 312-6670
            </p>
          </div>
        </div>
        <div class="row">
          <div class="col-12">
            <div class="accordion" role="tablist">
              <b-card v-for="(item, index) in faq" :key="index" no-body >
                <b-card-header header-tag="header" role="tab">
                  <div>
                    <b-button
                        class="
                      d-flex
                      align-items-center
                      justify-content-between
                      text-left
                      p-18
                    "
                        block
                        v-b-toggle="'accordion' + item.id"
                    >
                      <p>{{ item.title }}</p>
                      <svg
                          width="28"
                          height="28"
                          viewBox="0 0 28 28"
                          fill="none"
                          xmlns="http://www.w3.org/2000/svg"
                      >
                        <path
                            d="M13.999 4.10936L13.999 23.8877"
                            stroke="white"
                            stroke-width="2"
                            stroke-linecap="round"
                            stroke-linejoin="round"
                        />
                        <path
                            d="M23.897 14.0011L4.1001 13.999"
                            stroke="white"
                            stroke-width="2"
                            stroke-linecap="round"
                            stroke-linejoin="round"
                        />
                      </svg>
                    </b-button>
                  </div>
                </b-card-header>
                <b-collapse
                    :id="'accordion' + item.id"
                    visible
                    accordion="my-accordion"
                    role="tabpanel"
                >
                  <b-card-body class="pt-17 pr-18 pb-30 pl-18">
                    <b-card-text class="text-left">
                      {{item.description}}
                    </b-card-text>
                  </b-card-body>
                </b-collapse>
              </b-card>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import {mapState} from "vuex";

export default {
  data() {
    return {
      activeNames: ["1"],
    };
  },

  async fetch() {
    await this.$store.dispatch("fetchFaq");
  },

  computed: {
    ...mapState({
      faq: (state) => state.faq,
    }),
  },
};
</script>
